# 🍓FRAISEMOE NEKOPARA Addons Installer🍓
### 一个为NEKOPARA系列游戏安装补丁的简单工具。
### Git:https://github.com/Yanam1Anna/FRAISEMOE-Addons-Installer/

---

## 适用游戏：
- NEKOPARA Vol. 1
- NEKOPARA Vol. 2
- NEKOPARA Vol. 3
- NEKOPARA Vol. 4

---

⚠**NEKOPARA Vol. 0 & NEKOPARA Extra 不适用补丁安装**⚠

---

## 使用方式：
- 打开""FRAISEMOE Addons Installer.exe"即可。

- 运行应用后选择"开始安装" / "Start Install"，选择***游戏目录***所在的的***上级目录***。
    <h5>何为游戏目录的上级目录?如何找到它？</h5>
    首先找到需要安装的游戏目录，这里以NEKOPARA Vol. 1为例，如游戏目录为"<u>C:\Steam\steamapps\common\NEKOPARA Vol. 1</u>",那么它的上级目录就是:"<u>C:\Steam\steamapps\common</u>"。
    
    **如果是Steam平台，在"库"中找到并鼠标右键该游戏，选择"管理"=>"浏览本地文件"即可获取游戏目录**，其他平台或第三方安装请自行查找路径，方法不一，确定路径过程中遇到困难时请利用网络查找相关信息。
    
- 如果某些版本的补丁曾经安装过，将会询问是否需要重新安装，<b>取消安装前请确认您的补丁是否已经正常运行</b>。如果确定重新安装，则开始下载对应版本的补丁，已拥有的游戏但未安装的版本将会直接下载，所有版本完成下载后将会以消息弹窗的方式告知，确认安装结果后即可使用"退出按钮" / "关闭窗口按钮"退出应用。

---

## 软件功能：
- 检测所有版本已经安装的补丁文件，并比对Hash(SHA-256)是否正常(可在本文档最后部分查阅)，正常则跳过该版本安装，若文件异常 / 损坏则自动删除旧补丁文件且下载补丁包并重新安装。
- 检测所有未安装补丁的版本并执行安装任务。

---

## 常见问题 & 使用须知
<h4><u>使用过程</u></h4>

- 应用打开已经打开，但是加载缓慢。
- 请耐心等待一段时间，并非是程序无响应。
- 请不要在加载期间多次打开应用，造成不必要的其他问题。

<h4><u>打开应用时提示应用正在运行 / 被占用的情况</u></h4>

- 由于开启应用动作过于频繁，造成任务管理器刷新失败，请手动进入任务管理器中找到"FRAISEMOE-Addons-Installer"，结束其程序进程后再次重启。

<h4><u>下载报错</u></h4>

- 一般多为超过下载重试次数(网络连接超时)。

- 部分情况为目标服务器出现故障，若一段时间后仍然下载报错，请积极联系开发者报告问题。

- 多次进行下载报错，触发了服务器防护机制，针对您的IP地址进行了访问限制，请耐心等候一段时间，家庭网络可能会刷新IP地址，刷新之后再重试即可。

  **下载操作次数有限，请勿进行多次的下载操作，如确有违反本条须知的，对用户造成的损失由用户个人承担。**

<h4><u>下载进度缓慢，有出现停滞的情况</u></h4>

- 进度停滞但未出现报错的情况下，请稍做等待。

<h4><u>检测文件完整性时，弹窗闪烁</u></h4>

- 属于正常情况，无需理会。

<h4><u>下载进度窗口弹出，同时哈希值检验窗口覆盖的情况</u></h4>

- 请稍作等待，若等待时间过长，可手动点击主窗口/下载进度弹窗/哈希值检验窗口刷新状态。

<h4><u>下载过程中，无法退出程序</u></h4>

- 为保证补丁应用效果，下载和安装过程中请勿退出程序。

<h4><u>下载过程中，强制终止程序</u></h4>

- 可能会导致补丁文件损坏。重启本应用后将自动覆盖已下载的文件。请勿在中断下载后通过任何方式安装本工具下载的补丁，如违反此条须知，造成的不良影响由用户自行承担。

---

## 注意事项
- > #### 请勿使用经过二次修改应用，若使用未知来源 / 修改后的应用且损坏到您的个人利益，作者 / 开发人员既不担责。

- > #### 请遵循所有<a href="https://github.com/Yanam1Anna/FRAISEMOE-Addons-Installer/blob/master/README.md">README</a>中以及所有本文档中的规则，若您有意/无意违反其中某部分规则，作者 / 开发人员既不担责。

- > #### 本应用免费、开源，如有通过非免费途径获得本应用，请立即向您获取应用的来源申请退款。

---

## HASH(SHA-256)校验值
<table>
    <tr>
        <td><h5>游戏补丁<br />GamePatch</h5></td>
        <td><h5>SHA-256(哈希值创建时间：2024/07-2024-08)</h5></td>
    </tr>
    <tr>
        <td>Vol.1</td>
        <td>04b48b231a7f34431431e5027fcc7b27affaa951b8169c541709156acf754f3e</td>
    </tr>
    <tr>
        <td>Vol.2</td>
        <td>b9c00a2b113a1e768bf78400e4f9075ceb7b35349cdeca09be62eb014f0d4b42</td>
    </tr>
    <tr>
        <td>Vol.3</td>
        <td>2ce7b223c84592e1ebc3b72079dee1e5e8d064ade15723328a64dee58833b9d5</td>
    </tr>
    <tr>
        <td>Vol.4</td>
        <td>4a4a9ae5a75a18aacbe3ab0774d7f93f99c046afe3a777ee0363e8932b90f36a</td>
    </tr>